#!/usr/bin/python

import time
import sys
import dbus
from optparse import OptionParser, make_option

bus = dbus.SystemBus()

manager = dbus.Interface(bus.get_object("org.bluez", "/"), "org.bluez.Manager")

option_list = [
		make_option("-i", "--device", action="store",
				type="string", dest="dev_id"),
		]

parser = OptionParser(option_list=option_list)

(options, args) = parser.parse_args()

if options.dev_id:
	adapter_path = manager.FindAdapter(options.dev_id)
else:
	adapter_path = manager.DefaultAdapter()

adapter = dbus.Interface(bus.get_object("org.bluez", adapter_path),
							"org.bluez.Adapter")

if len(args) < 1:
	print("""Usage: %s [-i device] <bdaddr>""" % sys.argv[0])
	sys.exit(1)

device = adapter.FindDevice(args[0])
audio = dbus.Interface(bus.get_object("org.bluez", device),
						"org.bluez.AudioSource")

props = audio.GetProperties()
if props["State"] != "connected":
	audio.Connect()

time.sleep(5)

control = dbus.Interface(bus.get_object("org.bluez", device),
						"org.bluez.Control")
control.VolumeDown()
control.VolumeUp()
