/* vim: set sts=2 sw=2 et :
 */

#include <glib.h>
#include <grilo.h>

#include "util.h"

void
chaiwala_grilo_config_plugins (const gchar* chosen_test_path)
{
  GrlRegistry *registry;
  GrlConfig *config;
  gchar *base_uri;
  gchar *filename;
  GError *error = NULL;

  registry = grl_registry_get_default ();

  /* Configure plugin */
  config = grl_config_new ("grl-filesystem", "Filesystem");

  if (g_path_is_absolute (chosen_test_path)) {
    filename = g_strdup (chosen_test_path);
  } else {
    gchar *current_dir = g_get_current_dir ();

    filename = g_build_filename (current_dir, chosen_test_path, NULL);
    g_free (current_dir);
  }

  base_uri = g_filename_to_uri (filename, NULL, &error);
  g_assert_no_error (error);

  grl_config_set_string (config, "base-uri", base_uri);
  grl_registry_add_config (registry, config, NULL);

  g_free (filename);
  g_free (base_uri);
}
