#!/usr/bin/python
# -*- coding: utf-8 -*-

"""
Exit nonzero if any .json or .yaml file in the source tree is
syntactically invalid. This is run by `make check`.
"""

# Copyright © 2015 Collabora Ltd.
#
# SPDX-License-Identifier: MPL-2.0
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

import os
import json

import yaml

for (dirpath, dirnames, filenames) in os.walk('.'):
    for basename in filenames:
        if basename.endswith('.json'):
            json.load(open(os.path.join(dirpath, basename)))
        elif basename.endswith('.yaml'):
            yaml.safe_load(open(os.path.join(dirpath, basename)))
